import type { JSX } from '../../stencil-public-runtime';
import type { LabelPropType, ToolbarAPI, ToolbarItemsPropType, ToolbarStates } from '../../schema';
import type { OrientationPropType } from '../../schema/props/orientation';
export declare class KolToolbar implements ToolbarAPI {
    host: HTMLElement;
    state: ToolbarStates;
    private currentIndex;
    private indexToElement;
    private normalizeItem;
    private renderItem;
    render(): JSX.Element;
    _label: string;
    _items: ToolbarItemsPropType;
    _orientation?: OrientationPropType;
    validateLabel(value?: LabelPropType): void;
    validateItems(value?: ToolbarItemsPropType): void;
    validateOrientation(value?: OrientationPropType): void;
    private getCurrentToolbarItem;
    private setFirstEnabledItemIndex;
    handleKeyDown(event: KeyboardEvent): void;
    handleBlur(event: FocusEvent): void;
    componentWillLoad(): void;
}
